#ifndef AUTOTESTS_WINDOWS_STUB_COLOR_HELPER_H
#define AUTOTESTS_WINDOWS_STUB_COLOR_HELPER_H

#include <QColor>
#include <QObject>

#include "value-type.h"

namespace Sidebar {

class ColorHelper : public QObject
{
    Q_OBJECT
public:
    static ColorHelper *getInstance()
    {
        static ColorHelper helper;
        return &helper;
    }

    Q_INVOKABLE bool isDarkStyle()
    {
        return false;
    }

private:
    explicit ColorHelper(QObject *parent = nullptr) : QObject(parent) {}
};

} // namespace Sidebar

#endif
